main.floors.EX6=
{
    "floorId": "EX6",
    "title": "教学 6 层",
    "name": "蒸发 融化",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [
        {
            "type": "setValue",
            "name": "status:hp",
            "value": "179"
        },
        {
            "type": "setValue",
            "name": "status:atk",
            "value": "12"
        },
        {
            "type": "setValue",
            "name": "status:def",
            "value": "10"
        },
        {
            "type": "setValue",
            "name": "status:mdef",
            "value": "8"
        },
        {
            "type": "setValue",
            "name": "flag:element",
            "value": "null"
        },
        {
            "type": "setValue",
            "name": "flag:hudun",
            "value": "null"
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,9": [
            "\t[伯伯,man]最后一层了！加油！",
            "\t[伯伯,man]\\i[shui] -> \\i[huo] 蒸发：当角色为\\i[shui]附着，怪物为\\i[huo]属性时，角色对怪物造成伤害增加100%；当角色为\\i[huo]附着，怪物为\\i[shui]属性时，角色对怪物造成伤害增加50%。\n\\i[huo] -> \\i[bing] 融化：当角色为\\i[huo]附着，怪物为\\i[bing]属性时，角色对怪物造成伤害增加100%；当角色为\\i[bing]附着，怪物为\\i[huo]属性时，角色对怪物造成伤害增加50%。\n\n以上介绍中的箭头表示克制关系，\\i[shui]克制\\i[huo]，\\i[huo]克制\\i[bing]。\n角色克制怪物时，伤害增加100%；角色被怪物克制时，伤害增加50%。",
            {
                "type": "hide",
                "remove": true
            }
        ],
        "6,1": [
            "教程到此结束，请选择难度。",
            {
                "type": "setValue",
                "name": "status:hp",
                "value": "500"
            },
            {
                "type": "setValue",
                "name": "status:atk",
                "value": "10"
            },
            {
                "type": "setValue",
                "name": "status:def",
                "value": "10"
            },
            {
                "type": "setValue",
                "name": "status:mdef",
                "value": "0"
            },
            {
                "type": "setValue",
                "name": "flag:element",
                "value": "null"
            },
            {
                "type": "setValue",
                "name": "flag:hudun",
                "value": "null"
            },
            {
                "type": "function",
                "function": "function(){\ncore.setFlag(\"__visited__\", { 'MT0': true });\n}"
            },
            {
                "type": "choices",
                "text": "选择难度",
                "choices": [
                    {
                        "text": "休闲（适合新手）",
                        "action": [
                            {
                                "type": "function",
                                "function": "function(){\ncore.setFlag('hardName', '休闲模式');\ncore.setFlag('__hardColor__', '#81F578');\n}"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:nandu",
                                "value": "1"
                            },
                            {
                                "type": "setValue",
                                "name": "status:hp",
                                "operator": "+=",
                                "value": "200"
                            },
                            {
                                "type": "setValue",
                                "name": "status:atk",
                                "operator": "+=",
                                "value": "1"
                            },
                            {
                                "type": "setValue",
                                "name": "status:mdef",
                                "operator": "+=",
                                "value": "3"
                            },
                            {
                                "type": "setValue",
                                "name": "item:blueKey",
                                "operator": "+=",
                                "value": "1"
                            },
                            {
                                "type": "setValue",
                                "name": "item:yellowKey",
                                "operator": "+=",
                                "value": "2"
                            },
                            "休闲难度福利：\n生命+200，攻击+1，护盾+3，蓝钥匙+1，黄钥匙+2"
                        ]
                    },
                    {
                        "text": "常规（适合想要思考的玩家）",
                        "action": [
                            {
                                "type": "function",
                                "function": "function(){\ncore.setFlag('hardName', '常规模式');\ncore.setFlag('__hardColor__', '#FFDD57');\n}"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:nandu",
                                "value": "2"
                            },
                            {
                                "type": "setValue",
                                "name": "status:hp",
                                "operator": "+=",
                                "value": "100"
                            },
                            {
                                "type": "setValue",
                                "name": "status:def",
                                "operator": "+=",
                                "value": "1"
                            },
                            {
                                "type": "setValue",
                                "name": "status:mdef",
                                "operator": "+=",
                                "value": "3"
                            },
                            {
                                "type": "setValue",
                                "name": "item:yellowKey",
                                "operator": "+=",
                                "value": "1"
                            },
                            "常规难度福利：\n生命+100，防御+1，护盾+3，黄钥匙+1"
                        ]
                    },
                    {
                        "text": "挑战（适合熟练机制想挑战自我的玩家）",
                        "action": [
                            {
                                "type": "function",
                                "function": "function(){\ncore.setFlag('hardName', '挑战模式');\ncore.setFlag('__hardColor__', '#F46C6C');\n}"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:nandu",
                                "value": "3"
                            },
                            "挑战难度无福利"
                        ]
                    }
                ]
            },
            {
                "type": "changeFloor",
                "floorId": "MT0",
                "loc": [
                    6,
                    11
                ],
                "direction": "up"
            }
        ]
    },
    "changeFloor": {},
    "beforeBattle": {},
    "afterBattle": {
        "5,7": [
            {
                "type": "setValue",
                "name": "flag:door_EX6_6_6",
                "operator": "+=",
                "value": "1"
            }
        ],
        "7,7": [
            {
                "type": "setValue",
                "name": "flag:door_EX6_6_6",
                "operator": "+=",
                "value": "1"
            }
        ],
        "5,5": [
            {
                "type": "setValue",
                "name": "flag:door_EX6_6_4",
                "operator": "+=",
                "value": "1"
            }
        ],
        "7,5": [
            {
                "type": "setValue",
                "name": "flag:door_EX6_6_4",
                "operator": "+=",
                "value": "1"
            }
        ],
        "5,3": [
            {
                "type": "setValue",
                "name": "flag:door_EX6_6_2",
                "operator": "+=",
                "value": "1"
            }
        ],
        "7,3": [
            {
                "type": "setValue",
                "name": "flag:door_EX6_6_2",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "6,6": {
            "0": {
                "condition": "flag:door_EX6_6_6==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_EX6_6_6",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "6,4": {
            "0": {
                "condition": "flag:door_EX6_6_4==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_EX6_6_4",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "6,2": {
            "0": {
                "condition": "flag:door_EX6_6_2==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_EX6_6_2",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  1,  0, 89,  0,  1,  0,  0,  0,  1],
    [  1,332,10287,331,  1,  1, 85,  1,  1,331,10287,334,  1],
    [  1,  0,  0,  0,  1,341, 29,338,  1,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1, 85,  1,  1,  1,  1,  1,  1],
    [  1, 31, 27,202,  1,338, 32,202,  1,341, 27, 31,  1],
    [  1,  1,  1,  0,  1,  1, 85,  1,  1,  0,  1,  1,  1],
    [  1, 32,338,  0,  1,202, 21,341,  1,  0,202, 32,  1],
    [  1,  1,  1,  0, 81,  0,  0,  0, 81,  0,  1,  1,  1],
    [  1, 32,341,  0,  1,  1,121,  1,  1,  0,338, 32,  1],
    [  1,  1,  1,  0,  1,  0,  0,  0,  1,  0,  1,  1,  1],
    [  1, 31, 28,202,  1,  0,  0,  0,  1,341, 28, 31,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

],
    "bgm": "LastResort.mp3"
}